Follow

Upgrading DCX and DCA-60 Data Collectors to V3.60

Purpose

This application note describes how to upgrade DCX and DCA-60 data collectors to Version 3.60.

This upgrade applies to DCX and DCA-60 units that are currently running Version 3.40 or Version 3.50.

If your data collector is running a version that is earlier than 3.40, please contact Azima DLI Technical Support.

The process of upgrading differs depending on whether you are upgrading from Version 3.50 or 3.40.

  • If you are upgrading from Version 3.50, start with the next section, “Upgrading from Version 3.50.”
  • If you are upgrading from Version 3.40, start with “Upgrading from Version 3.40” on page 4.

Upgrading from Version 3.50

Perform the tasks below if you are upgrading a Version 3.50 data collector to Version 3.60. Detailed instructions for performing these tasks are included in this document—you will be referred to those sections as appropriate.

  • TASK 1: Backup and/or Unload Existing Database(s)

We recommend you backup the existing databases on your DCX or DCA-60 prior to upgrading.

-        If your data collector replicates to a master database for diagnostics, you should perform a full replication cycle to ensure the latest data on the unit has been transmitted to the master and apply any new database changes have been applied to your unit.

-        If you use the survey file transfer method on your unit, you must unload the current survey and then load a new one after the upgrade.

-        If you have a DCA-60 and use the load/unload method, you must unload the existing data prior to the upgrade and then “re-load” the data collector after the upgrade.

  • TASK 2: [Language Pack Users ONLY] Uninstall Foreign Language Pack(s)

If you installed any Language Packs for use with ALERT 3.50 on your DCX or DCA-60, you must uninstall them prior to upgrading to Version 3.60. To uninstall a Language Pack, open the Control Panel on the DCX or DCA-60, select Add or Remove Programs and then click Uninstall to remove Azima DLI 3.50 language pack from the list.

  • TASK 3: Install the DCX/DCA-60 Version 3.60 Upgrade File

A single executable file installs both the data collection software and the ALERT 3.60 diagnostic software. It also updates the AQ204 DataServer. How to install the upgrade is explained on page 4.

  • TASK 4: Update Existing ALERT Databases to Version 3.60

How you update your existing Version 3.50 database depends on whether your data collector replicates to a master database, uses the survey file or load/unload method, or if your database resides locally on the unit. Each method is described in Step 13 of “Installing DCX/DCA-60 Version 3.60 on a Version 3.50 Data Collector” on page 4. Once updated for use with Version 3.60, your database will work with both Version 3.50 and Version 3.60 software.

  • TASK 5: [DCX ONLY] “Unlock” Your Software

If you have upgraded a DCX to Version 3.60, you must contact Azima DLI Technical Support to request the unlock keys (“trigger codes”) needed to register the ExpertALERT software on your unit. If you do not unlock the software, it will only operate for 30 days. To register the ExpertALERT, start the software and choose Help>Register now.

  • TASK 6: Install 3.60  Foreign Language Pack [if non-English]

If you use a Language Pack with your data collector, you can install the 3.60 version now. The ALERT 3.60 User’s Guide contains instructions on how to do this.

  • TASK 7: Update the Replication Wizard [for Replicating Units ONLY]

If your DCX or DCA-60 replicates to a master database and you have Replication Wizard 3.50 installed on your data collector, you must uninstall it and then install Replication Wizard 3.60. How to do this is explained on page 4.

  • Task 8: Load a New Survey

This task only applies if the primary database from which analysis is performed does NOT reside on your data collector AND you do NOT use replication.

Once your data collector is upgraded for Version 3.60, you must load a new survey or (if you use the load/unload method with a DCA-60) use the Load Data Collector feature to re-load database information to your unit.

Installing DCX/DCA-60 Version 3.60 on a Version 3.50 Data Collector

Azima DLI will provide you with an upgrade file on a removable USB thumb drive or via a download Web page. This file must be accessible from your DCX or DCA-60. Depending on your situation, there are many ways to do this including the removable USB thumb drive, a network drive, or (if your unit is Web-enabled) via email or direct download from www.AzimaDLI.com/support.

Tip! We strongly recommend you copy the upgrade file to the D:\Azima Software folder on your unit. (If this folder does not exist, create it.) This can be helpful if you ever need to re-install the software after a recovery (since only the C drive is restored) and it eliminates potential issues with running the upgrade from an external source, such as from a network drive.

1. Log on to your data collector.

2. Verify that the necessary calibration files exist on the unit. These files are named calibrationdisk.tag and AQ204Bxxx.cal, where xxx is the serial number of your AQ204 card. These files are generally found in D:\Cal Files.

Note: If you have more than one AQ204Bxxx.cal file in the Cal Files folder, DO NOT proceed with the installation until you have contacted Azima DLI to verify which one you need to use.

3. Ensure no programs are running on the unit.

4. Locate the upgrade file for your unit and click it to launch the installer.

- If you have a DCX, click DCX.3.60.0.50.B70.Install.

- If you have a DCA-60, click DCA-60.3.60.0.52.B52.Install.

5. When the installation wizard opens, follow the prompts and accept all of the defaults. Note the following:

- Important! You will be prompted to have Version 3.50 automatically removed from your data collector. You MUST allow Version 3.50 to be removed in order for the upgrade to continue. The Version 3.60 upgrade will continue immediately following its removal. Uninstalling Version 3.50 DOES NOT remove any databases from your data collector. We strongly recommend you remove any Foreign Language Packs you may have installed for use with Version 3.50. If you did not remove them prior to the upgrade, we recommend you uninstall the 3.50 versions of these packs via Control Panel>Add or Remove Programs on the tablet.

- When prompted, read the license agreement and accept it if you agree to the terms. The installation will not proceed if you do not agree to the Azima DLI terms and conditions.

- DCX Users: If you opt to install the demo database, you will be prompted to specify a location for it. We strongly recommend you click Browse and install the database on drive D instead of drive C. Drive D usually contains more space and will not be affected if the disk recovery process ever needs to be used since only drive C will be restored. The demo database WILL NOT overwrite any existing database on your DCX, regardless of where you install it.

6. Wait while Version 3.60 is installed. This will take several minutes to complete.

7. On the InstallShield Wizard complete dialog box, click Finish. The AQ204 DataServer on your unit will be upgraded next.

Tip! If you receive a dialog box asking whether you want to modify, repair, or remove the AQ204 DataServer, select Repair and then click Next.

8. On the Welcome to the InstallShield Wizard for the AQ204 DataServer dialog box, click Next and then wait while the AQ204 DataServer on your unit is updated.

9. On the Update Complete dialog box, click Finish.

10. When prompted about whether you want to install the AQ204 calibration file, click Yes. This step is incredibly important to ensure accurate readings.

11. The installation automatically searches for your existing calibration file. If it is not found, you are prompted to browse to it and click OK. This is the same AQ204Bxxx.cal file whose location you verified in Step 2.

12. On the InstallShield Complete dialog box, select the Yes, I want to restart my computer option button, then click Finish.

Note: If the unit fails to restart automatically, cycle power manually to restart the tablet PC.

13. Update the existing databases on your data collector for use with Version 3.60. Once updated for Version 3.60, your databases will work with both Version 3.50 and Version 3.60 software. How you update your databases depends on your situation:

- If your DCX or DCA-60 is set up to replicate data to a master database for diagnostics, you must first upgrade the master database to Version 3.60 and then perform a full replication cycle. This updates the subscription database on your data collector for use with Version 3.60. For more information about replicating data collectors, see the ALERT Replication Guide.

- If you use the survey file transfer method or the load/unload method (DCA-60s only), you must load a new survey or use the Load Data Collector feature to re-load your unit.

- If you have a DCX and it does NOT replicate or use the survey file transfer method, it means your databases reside on the unit itself. In this case, you must open ExpertALERT 3.60 before launching the Collector X data collection software. This is required because you will need to run several scripts on each of your existing databases. When you launch ExpertALERT and select a database (Data Source), you will be prompted to run an update on the database to make it compatible with the new 3.60 software. Click OK and wait while a SQL script window opens and updates the database. You will be prompted to run more than one script. These updates will only happen the first time you open each Version 3.50 database with ExpertALERT. Once updated, the databases will work with both Version 3.50 and 3.60.

Important! Do not start the Collector X data collection software until the database you plan to use has been opened in ExpertALERT and updated for use with the new Version 3.60 software. You must open ExpertALERT directly via its desktop icon or from the Start menu. DO NOT start Data Collector Mode and then switch to Analysis Mode – the script will not launch if you do.

14. DCX Only: Contact Azima DLI to obtain a new set of license keys (“trigger codes”) and register your DCX. The keys used with Versions 3.50 are no longer valid. DCX Version 3.60 installs with a 30-day trial period. To enter the registration keys, launch the ExpertALERT 3.60 software on your DCX and choose Help>Register Now. If you are using a DCA-60, you do not need to do this.

15. Non-English Units Only: If you use a Foreign Language Pack with your data collector, install the 3.60 version now. How to do this is explained in the ALERT 3.60 User’s Guide.

Upgrading the Replication Wizard to Version 3.60 from 3.50

Only perform the steps in this section if Replication Wizard 3.50 is installed on your replicating DCX or DCA-60.

Once your data collector has been upgraded to Version 3.60, you must uninstall Replication Wizard 3.50 and install Replication Wizard 3.60 on your unit.

Important! Upgrading the Replication Wizard from Version 3.50 to 3.60 does NOT impact your existing subscriptions or batch files. They will continue to work as expected after the upgrade.

1. Uninstall Replication Wizard 3.50 from your data collector.

a. Choose Start>Control Panel>Add or Remove Programs.

b. Select Replication Wizard 3.50 from the list.

c. Click Uninstall and then wait while the software is removed from your analyzer.

2. Locate the Replication Wizard 3.60 upgrade file (RepWizard.3.60.0.7.B2.exe) and click it to launch the installer. This file will have been provided to you by Azima DLI Technical Support and must be accessible from your DCX or DCA-60.

Tip! We strongly recommend you copy the upgrade file to D:\Azima Software on to the data collector so it will be accessible if you ever have to re-install it after restoring your unit. (Only the C drive is restored.)

3. If you are prompted and asked whether to allow the program to make changes on your computer, click Yes.

4. When the installation wizard opens, follow the prompts, and accept all of the defaults.

5. Wait while Replication Wizard 3.60 is installed.

6. When the installation is complete, click Finish. If you are prompted to restart your data collector, do so.

Upgrading from Version 3.40

The checklist below is for those who are upgrading a DCX or DCA-60 data collector to Version 3.60 from Version 3.40.

  • TASK 1: Backup and/or Unload Existing Database(s)

We recommend you backup the existing databases on your DCX or DCA-60 prior to upgrading.

-        If your data collector replicates to a master database for diagnostics, you should perform a full replication cycle to ensure the latest data on the unit has been transmitted to the master and any new database changes have been applied to your unit.

-        If you have a DCA-60 and use the load/unload method, you must unload the existing data prior to the upgrade and then “re-load” the data collector after the upgrade.

  • TASK 2: Uninstall Version 3.40 and any Version 3.40 Foreign Language Packs

Uninstall Version 3.40 prior to upgrading to Version 3.60. This WILL NOT remove any existing databases. Per the terms of your license agreement, you cannot run Version 3.40 and Version 3.60 simultaneously on a DCX or DCA-60. To uninstall Version 3.40, choose Start>Control Panel>Add or Remove Programs and then select the application(s) to remove:

-        For DCX units, you must uninstall the data collector software (Azima DLI DCX 3.40) and ALERT software (ExpertALERT 3.40) separately.

-        For DCA-60 units, there is one application to remove: Azima DLI DCA-60 3.40

In both cases, DO NOT remove Sybase 7 as it is needed to upgrade your database to work with Version 3.60. Be aware that once you upgrade your databases for use with Version 3.60 they WILL NOT work with the Version 3.40 software.

You must also uninstall any Version 3.40 Language Packs that are installed on your unit.

  • TASK 3: Install Sybase SQL Adaptive Server Anywhere 12

Version 3.60 requires Sybase 12 to operate. Version 3.40 required an earlier version of Sybase. You should NOT remove the earlier version of Sybase since it is required to update your existing databases for use with ALERT 3.60. How to install Sybase 12 is explained on page 4.

  • TASK 4: Install the DCX/DCA-60 Version 3.60 Upgrade File

A single executable file installs both the data collection software and the ALERT 3.60 diagnostic software. It also updates the AQ204 DataServer. How to install the upgrade is explained on page 4. (This is different from when you installed Version 3.40, which had separate installations for the data collection software and the ALERT diagnostic software.)

  • TASK 5: Update Existing ALERT Databases to Version 3.60

How you update your existing Version 3.40 database depends on whether your data collector replicates to a master database, uses the load/unload feature, or if your database resides locally on the DCX/DCA-60. Each method is described in Step 13 in “Installing DCX/DCA-60 Version 3.60 on a Version 3.40 Data Collector” on page 4. Once updated for use with Version 3.60, your databases will NO LONGER work with Version 3.40 software.

  • TASK 6: [DCX ONLY] “Unlock” Your Software

If you have upgraded a DCX to Version 3.60, you will need to contact Azima DLI Technical Support to request the unlock keys needed to register the software on your unit. If you do not unlock the software, it will only operate for 30 days.

  • TASK 7: Install 3.60 Foreign Language Pack [if non-English]

If you use a Language Pack with your data collector, you can install the 3.60 version now. The ALERT 3.60 User’s Guide contains instructions on how to do this.

  • TASK 8: Update Replication Wizard [for Replicating Units ONLY]

If your DCX or DCA-60 replicates to a master database and you have Replication Wizard 3.40 installed on your unit, you must uninstall it and then install Replication Wizard 3.60.

  • Task 9: Load a New Survey

This task only applies if the primary database from which analysis is performed does NOT reside on your data collector AND you do NOT use replication. Once your data collector is upgraded for Version 3.60, you must use the Load Data Collector feature to re-load database information to your unit.

Installing Sybase SQL Adaptive Server Anywhere 12

If you are upgrading your DCX or DCA-60 from Version 3.40 you will be provided installation files for Sybase 12 from Azima DLI Technical Support. These files must be accessible from your data collector. Depending on your situation, there are many ways to do this including a removable USB thumb drive, a network drive, or (if your unit is Web-enabled) via email or direct download from www.AzimaDLI.com/support.

Important! Do NOT remove older versions of Sybase before installing Sybase 12. Existing databases cannot be updated to work with ALERT 3.60 if the older instance of Sybase is removed.

The provided Sybase 12 installation places only the features required for ALERT software products and for replication between ALERT databases. The installation creates shortcuts to Interactive SQL, Sybase Central, the ODBC Data Source Administrator, and to the Network Server and Personal Server applications.

To install Sybase SQL Adaptive Server Anywhere 12

1. Log on to your DCX or DCA-60.

2. Locate the installation folder/files provided to you by
Azima DLI.

3. Double-click Sybase12.0.1.B8.Install.vbs to start the installation. If you are prompted for permission to launch the file, click Yes.

4. Wait while Sybase 12 is installed. This may take
several minutes.

5. When the Installation Complete message appears, click OK.

6. Restart your data collector.

Installing DCX/DCA-60 Version 3.60 on a Version 3.40 Data Collector

Azima DLI will provide you with an upgrade file on a removable USB thumb drive or via a download page. This file must be accessible from your DCX or DCA-60. Depending on your situation, there are many ways to do this including removable USB thumb drive, a network drive, or (if your unit is Web-enabled) via email or direct download from www.AzimaDLI.com/support. We strongly recommend you copy the upgrade file to the D:\Azima Software folder on your unit. (If this folder does not exist, create it.) This can be helpful if you ever need to re-install the software after a recovery (since only the C drive is restored) and it eliminates potential issues with running the upgrade from an external source, such as from a network drive.

Important! You must install Sybase 12 prior to performing the steps below. Version 3.40 data collectors use an older version of Sybase that will not work with Version 3.60.

1. Log on to your data collector.

2. Verify that the necessary calibration files exist on the unit. These files are named calibrationdisk.tag and AQ204Bxxx.cal, where xxx is the serial number of your AQ204 card. These files are generally found in D:\Cal Files.

Note: If you have more than one AQ204Bxxx.cal file in the Cal Files folder, do not proceed with the installation until you have contacted Azima DLI to verify which one you need to use.

3. Ensure no Azima DLI programs are running on the unit.

4. Locate the upgrade file for your unit and click it to launch the installer.

- If you have a DCX, click DCX.3.60.0.50.B70.Install.

- If you have a DCA-60, click DCA-60.3.60.0.52.B52.Install.

5. When the installation wizard opens, follow the prompts and accept all of the defaults. Note the following:

- DCX Users: If you opt to install the demo database, you will be prompted to specify a location for it. We strongly recommend you click Browse and install the database on drive D instead of drive C. Drive D usually contains more space and will not be affected if the disk recovery process ever needs to be used since only drive C will be restored. The demo database WILL NOT overwrite any existing database on your DCX, regardless of where you install it.

- When prompted, read the license agreement and accept it if you agree to the terms. The installation will not proceed if you do not agree to the Azima DLI terms and conditions.

6. Wait while Version 3.60 is installed. This will take several minutes to complete.

7. On the InstallShield Wizard complete dialog box, click Finish. The AQ204 DataServer on your unit will be upgraded next.

Tip! If you receive a dialog box asking whether you want to modify, repair, or remove the AQ204 DataServer, select Repair and then click Next.

8. On the Welcome to the InstallShield Wizard for the AQ204 DataServer dialog box, click Next and then wait while the AQ204 DataServer on your unit is updated.

9. On the Update Complete dialog box, click Finish.

10. When prompted about whether you want to install the AQ204 calibration file, click Yes. If you do not, a generic calibration file will be installed and the data collector will not take accurate readings.

11. The installation automatically searches for your existing calibration file. If it is not found, you are prompted to browse to it and click OK. This is the same AQ204Bxxx.cal file whose location you verified in Step 2.

12. On the InstallShield Complete dialog box, select the Yes, I want to restart my computer option button, then click Finish.

Note: If the unit fails to restart automatically, cycle power manually to restart the tablet PC.

13. Update the existing databases on your data collector for use with Version 3.60. Onceupdated, your databases will NO LONGER work with Version 3.40. How you update your database depends on your situation:

- If your DCX or DCA-60 is set up to replicate data to a master database for diagnostics, you must first upgrade the master database to Version 3.60 and then extract a new subscription database for the data collector. The new subscription must be copied to the data collector and registered with the ODBC Data Source Administrator on the unit. For more information, see the ALERT Replication Guide.

- If you are using a DCA-60 and use the load/unload method, you must upgrade the ExpertALERT software used with your data collector to Version 3.60 and then re-load your unit via the Load Data Collector feature.

- If you are using a DCX and it does NOT replicate, it means your databases reside on the unit itself. In this case, you must update each database using the Database Update Wizard (which was installed with Version 3.60) and then open each database in ExpertALERT 3.60 before launching the Collector X data collection software. This is required because you will need to run scripts on each of your existing databases. When you launch ExpertALERT and select a database (Data Source), you will be prompted to run an update on the database to make it compatible with the new 3.60 software. Click OK and wait while a SQL script window opens and updates the database. You will be prompted to run more than one script. These updates will only happen the first time you open each Version 3.40 database with ExpertALERT 3.60.

Important! Do not start the Collector X data collection software until the database you plan to use has been opened in ExpertALERT and updated for use with the new Version 3.60 software. You must open ExpertALERT directly via its desktop icon or from the Start menu. DO NOT start Data Collector Mode and then switch to Analysis Mode – the script will not launch if you do.

14. DCX Only: Contact Azima DLI to obtain a new set of license keys (“trigger codes”) and register your DCX. The keys used with Versions 3.40 are no longer valid. DCX Version 3.60 installs with a 30-day trial period. To enter the registration keys, launch the ExpertALERT 3.60 software on your DCX and choose Help>Register Now. If you are using a DCA-60, you do not need to do this.

Upgrading the Replication Wizard to Version 3.60 from 3.40

Only perform the steps in this section if Replication Wizard 3.40 is installed on your replicating DCX or DCA-60.

Once your data collector has been upgraded to Version 3.60, you must uninstall Replication Wizard 3.40 and install Replication Wizard 3.60 on your unit.

Important! Keep in mind that you will need to create new subscriptions from the master database (after it is upgraded to Version 3.60) and copy them to your data collector. To learn how to do this, see the ALERT Replication Guide.

  1. Uninstall Replication Wizard 3.40 from your data collector.
    1. Choose Start>Control Panel>Add or Remove Programs.
    2. Select Replication Wizard 3.40 from the list.
    3. Click Uninstall and then wait while the software is removed from your analyzer.
  2. Locate the Replication Wizard 3.60 upgrade file (RepWizard.3.60.0.7.B2.exe) and click it to launch the installer. This file will have been provided to you by Azima DLI Technical Support and must be accessible from your DCX or DCA-60.

Tip! We strongly recommend you copy the upgrade file to D:\Azima Software on to the data collector so it will be accessible if you ever have to re-install it after restoring your unit. (Only the C drive is restored.)

  1. If you are prompted and asked whether to allow the program to make changes on your computer, click Yes.
  2. When the installation wizard opens, follow the prompts, and accept all of the defaults.
  3. Wait while Replication Wizard 3.60 is installed.
  4. When the installation is complete, click Finish. If you are prompted to restart your data collector, do so.

Getting Help

If you have any questions about this application note, contact Azima DLI Technical Support (support@AzimaDLI.com).

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk